Skip to main content
POST
/
automations
/
jobs
Create Job
curl --request POST \
  --url https://api.ara.so/automations/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "schedule_kind": "<string>",
  "every_seconds": 123,
  "schedule_expr": "<string>",
  "timezone": "UTC",
  "payload": {},
  "execution_mode": "sandbox_required",
  "misfire_policy": "fire_latest_only",
  "max_retries": 3,
  "retry_backoff_seconds": 30
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 120
schedule_kind
string
required
Pattern: ^(every|cron)$
every_seconds
integer | null
schedule_expr
string | null
timezone
string
default:UTC
payload
Payload · object
execution_mode
string
default:sandbox_required
Pattern: ^(sandbox_required|centralized_ok)$
misfire_policy
string
default:fire_latest_only
Pattern: ^(fire_all|fire_latest_only|skip_if_late)$
max_retries
integer
default:3
Required range: 0 <= x <= 20
retry_backoff_seconds
integer
default:30
Required range: 1 <= x <= 3600

Response

Successful Response